## drbl 2.9.7

=== debian/changelog ===
drbl (2.9.7-drbl1) unstable; urgency=low

  * Language file ca_ES was updated. Thanks to René Mérou.
  * Language file it_IT was updated. Thanks to Gianfranco Gentili.
  * Language file fr_FR was updated. Thanks to Jean-Francois Nifenecker.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 23 Jun 2014 09:09:55 +0800

## drbl 2.9.8

=== debian/changelog ===
drbl (2.9.8-drbl1) unstable; urgency=low

  * Language file de_DE was updated. Thanks to Michael Vinzenz.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 24 Jun 2014 07:15:50 +0800

## drbl 2.9.9

=== debian/changelog ===
drbl (2.9.9-drbl1) unstable; urgency=low

  * Language files sk_SK was updated. Thanks to Ondrej Dzivy Balucha.
  * Language file ja_JP.UTF-8 was updated. Thanks to Akira YOSHIYAMA.
  * Language file es_ES was updated. Thanks to Alex Ibáñez López.
  * Bug fixed: file memdisk of pxelinux 6.x should be put in
    /tftpboot/nbi_img/, not in /tftpboot/nbi_img/bios/.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 26 Jun 2014 08:57:00 +0800

## drbl 2.9.11

=== debian/changelog ===
drbl (2.9.11-drbl1) unstable; urgency=low

  * Package fstransform was added in the packages list of
    Clonezilla and DRBL live.
  * Language file zh_CN was updated. Thanks to Zhiqiang Zhang.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 06 Aug 2014 10:30:14 +0800

drbl (2.9.10-drbl1) unstable; urgency=low

  * Bug fixed: drbl-sha1pass failed due to "use" instead of "require"
    was used. Thanks to monkeyzilla <monkeyzilla _at_ users sf net>
    for reporting it.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 09 Jul 2014 17:25:20 +0800

## drbl 2.9.14

=== debian/changelog ===
drbl (2.9.14-drbl1) unstable; urgency=low

  * Adding package syslinux-util in PKG_TO_QUERY of drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 16 Aug 2014 22:41:43 +0800

drbl (2.9.13-drbl1) unstable; urgency=low

  * Package syslinux-utils is now added in the packages list of
    Clonezilla and DRBL live due to the changes in Debian syslinux
    6.03-pre19 packaging.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 16 Aug 2014 22:39:24 +0800

drbl (2.9.12-drbl1) unstable; urgency=low

  * Package rfkill was added in the packages list of Clonezilla
    and DRBL live.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 12 Aug 2014 09:39:22 +0800

## drbl 2.9.15

=== debian/changelog ===
drbl (2.9.15-drbl1) unstable; urgency=low

  * Adding firstboot.DBN7.6.drbl for updated Debian Wheezy.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 16 Aug 2014 22:52:34 +0800

## drbl 2.9.16

=== debian/changelog ===
drbl (2.9.16-drbl1) unstable; urgency=low

  * Language file tr_TR was added. Thanks to Ömer YILDIZ 
    <oyildiz _at_ teknoplan.com.tr> for providing that.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 19 Aug 2014 14:00:56 +0800

## drbl 2.9.17

=== debian/changelog ===
drbl (2.9.17-drbl1) unstable; urgency=low

  * Put sysvinit-core in the packages list of clonezilla/debian/gparted
    live of drbl.conf. This is due to the pacakge init has switched to
    the default init system to systemd-sysv. We are not ready for
    that yet.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 22 Aug 2014 22:49:32 +0800

## drbl 2.9.18

=== debian/changelog ===
drbl (2.9.18-drbl1) unstable; urgency=low

  * A workaround to avoid the bug of dpkg version 1.17.13. It fails to
    update /var/lib/dpkg/available in bootstrap environment. Therefore
    the option --print-avail fails. We switched to use "dpkg -L" in
    function chk_deb_installed of drbl-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 24 Aug 2014 15:14:05 +0800

## drbl 2.9.19

=== debian/changelog ===
drbl (2.9.19-drbl1) unstable; urgency=low

  * A better checking mechaism for sysvinit and systemd packages 
    coexisting on a system is used.
  * Program drbl-prepare-pxelinux was updated due to new path for
    new syslinux-efi has syslinux.efi in /usr/lib/SYSLINUX.EFI/.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 26 Aug 2014 20:47:56 +0800

## drbl 2.9.20

=== debian/changelog ===
drbl (2.9.20-drbl1) unstable; urgency=low

  * Package sysvinit-core is removed from drbl.conf because Ubuntu
    does not have it yet. We have to add that in the packages list
    when creating Debian-based live system.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 27 Aug 2014 08:47:34 +0800

## drbl 2.9.22

=== debian/changelog ===
drbl (2.9.22-drbl1) unstable; urgency=low

  * Package davfs2 and f2fs-tools were added in the packages list of
    DRBL/Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 05 Sep 2014 16:55:00 +0800

drbl (2.9.21-drbl1) unstable; urgency=low

  * Adding package iw and list iproute2 instead of iproute in packages
    list of DRBL/Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 04 Sep 2014 14:59:14 +0800

## drbl 2.10.2

=== debian/changelog ===
drbl (2.10.2-drbl1) unstable; urgency=low

  * Comments about uEFI network booting were updaetd in
    generate-pxe-menu.
  * Reverted to use iproute instead of iproute2 so that Wheezy won't
    fail.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 17 Sep 2014 11:46:10 +0800

drbl (2.10.1-drbl1) unstable; urgency=low

  * Merging the files supporting systemd for CentOS 7 and Fedora 20
    from Ceasar Sun.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 15 Sep 2014 16:17:49 +0800

## drbl 2.10.3

=== debian/changelog ===
drbl (2.10.3-drbl1) unstable; urgency=low

  * Language files were updated for restoring image of a partition
    to different partition.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 28 Sep 2014 17:22:38 +0800

## drbl 2.10.4

=== debian/changelog ===
drbl (2.10.4-drbl1) unstable; urgency=low

  * Updating drbl-live-hadoop to version 0.3 from Thomas Tsai.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 29 Sep 2014 16:57:23 +0800

## drbl 2.10.5

=== debian/changelog ===
drbl (2.10.5-drbl1) unstable; urgency=low

  * Updating scientific_netinstall_ver as 7x, and centos_netinstall_ver
    as "6 7" in drbl-ocs.conf.
  * Adding syslinux-efi in the required packages for Debian. Otherwise
    uEFI network booting client won't work.
  * Updating drbl-netinstall for CentOS 7 by adding inst.repo boot
    parameter.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 02 Oct 2014 16:38:44 +0800

## drbl 2.10.6

=== debian/changelog ===
drbl (2.10.6-drbl1) unstable; urgency=low

  * Bug fixed: for class C network, using 253 clients was not working.
    Thanks to Eric Frost for reporting this issu.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 02 Nov 2014 14:58:00 +0800

## drbl 2.10.7

=== debian/changelog ===
drbl (2.10.7-drbl1) unstable; urgency=low

  * Adding initial support for Ubuntu 14.10.
  * Updating drbl-client-boot-default.conf and S00wait-drbl-default
    for Ubuntu DRBL clients.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 05 Nov 2014 22:40:27 +0800

## drbl 2.11.0

=== debian/changelog ===
drbl (2.11.0-drbl1) unstable; urgency=low

  * Updating network installation of Ubuntu as "trusty utopic".

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 05 Nov 2014 23:07:17 +0800

## drbl 2.11.15

=== debian/changelog ===
drbl (2.11.15-1) unstable; urgency=medium

  * upgraded to the newest upstream version
  * removed the copyright mention about the file fail-mbr.bin which is no
    longer part of this package.
  * fixed a typo in the bash script ca_ES
  * upgraded Srandards-Version to 3.9.6

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 08 May 2015 18:38:44 +0200

=== debian/control ===
Source: drbl
Section: admin
Priority: extra
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 9.0.0), quilt
Standards-Version: 3.9.6
Homepage: http://drbl.sourceforge.net/

Package: drbl
Architecture: all
Depends: ${misc:Depends}, perl, ash, ipcalc, wakeonlan,
 syslinux, syslinux-common
Recommends: clonezilla
Description: diskless remote boot, and a disk cloning utility
 DRBL (Diskless Remote Boot in Linux) provides a diskless or
 systemless environment for client machines. It works on Debian,
 Ubuntu, Mandriva, Red Hat, Fedora, CentOS and OpenSuSE. DRBL uses
 distributed hardware resources and makes it possible for clients to
 fully access local hardware. It also includes Clonezilla, a partition
 and disk cloning utility similar to Symantec Ghost(TM) or True
 Image(TM).
 .
 For more details, check
  1. http://drbl.sourceforge.net (English)
  2. http://drbl.nchc.org.tw (Chinese Big5 - Taiwan)

## drbl 2.12.2

=== lang/Makefile ===
# Makefile
#
# License: GPL
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
#
all: bash-lang perl-lang

bash-lang:
	( cd bash; \
	ln -fs de_DE de_DE.UTF-8; \
	ln -fs en_US en_US.UTF-8; \
	ln -fs it_IT it_IT.UTF-8; \
	ln -fs ca_ES ca_ES.UTF-8; \
	ln -fs es_ES es_ES.UTF-8; \
	ln -fs pt_BR pt_BR.UTF-8; \
	ln -fs sk_SK sk_SK.UTF-8; \
	ln -fs tr_TR tr_TR.UTF-8; \
	ln -fs fr_FR fr_FR.UTF-8 )

perl-lang:
	( cd perl; \
	ln -fs de_DE de_DE.UTF-8; \
	ln -fs en_US en_US.UTF-8; \
	ln -fs it_IT it_IT.UTF-8; \
	ln -fs ca_ES ca_ES.UTF-8; \
	ln -fs es_ES es_ES.UTF-8; \
	ln -fs pt_BR pt_BR.UTF-8; \
	ln -fs sk_SK sk_SK.UTF-8; \
	ln -fs tr_TR tr_TR.UTF-8; \
	ln -fs fr_FR fr_FR.UTF-8 )

clean:
	( cd bash; rm -f en_US.UTF-8 fr_FR.UTF-8 it_IT.UTF-8 ca_ES.UTF-8 es_ES.UTF-8 pt_BR.UTF-8 de_DE.UTF-8 sk_SK.UTF-8 tr_TR.UTF-8)
	( cd perl; rm -f en_US.UTF-8 fr_FR.UTF-8 it_IT.UTF-8 ca_ES.UTF-8 es_ES.UTF-8 pt_BR.UTF-8 de_DE.UTF-8 sk_SK.UTF-8 tr_TR.UTF-8)

## drbl 2.13.4

=== debian/changelog ===
drbl (2.13.4-drbl1) unstable; urgency=low

  * Package bindfs was added in the packages list of DRBL/Clonezilla live.
  * Language files were updated for WebDAV image server.
  * Bindfs middle layer for WebDAV+eCryptfs was added.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 29 Jan 2015 08:01:36 +0800

drbl (2.13.3-drbl1) unstable; urgency=low

  * Mergeing the patch from Ceasar to fix the boot haning issue of
    Fedora 21 client.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 25 Jan 2015 20:22:20 +0800

drbl (2.13.2-drbl1) unstable; urgency=low

  * Language files were updated.
  * Package refit was removed from DRBL/Clonezilla live packages list
    since it does not exist in Debian repository anymore.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 21 Jan 2015 22:34:45 +0800

drbl (2.13.1-drbl1) unstable; urgency=low

  * Merged the patch from Ceasar to support Fedora 21.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 19 Jan 2015 13:48:35 +0800

drbl (2.12.14-drbl1) unstable; urgency=low

  * An option "exclude_eth_nics" was added in drbl.conf so that some
    network card can be excluded in drblpush.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 17 Jan 2015 14:27:50 +0800

drbl (2.12.13-drbl1) unstable; urgency=low

  * Bug fixed: the previous workaround by removing services in
    client's /etc/rcS.d/ causes clients fail to reboot or shutdown.
    Forget it.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 16 Jan 2015 22:52:08 +0800

drbl (2.12.12-drbl1) unstable; urgency=low

  * Bug fixed: drbl-clean-dhcpd-leases failed to restart dhcpd service
    for non-systemd environment.
  * Bug fixed: Somehow the unnecessary services in client's /etc/rcS.d/
    cause the console behaves weird. Removed them.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 16 Jan 2015 18:38:16 +0800

drbl (2.12.11-drbl1) unstable; urgency=low

  * Package ecryptfs-utils is now listed as required package for DRBL.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 14 Jan 2015 20:38:37 +0800

drbl (2.12.10-drbl1) unstable; urgency=low

  * Adding firstboot.DBN8.0.drbl.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 13 Jan 2015 15:52:23 +0800

drbl (2.12.9-drbl1) unstable; urgency=low

  * Adding a link file firstboot.DBN7.8.drbl for Debian 7.8.
    Same link files for older versions, too.
  * Language files were updated for variables changed and drbl-ocs.
  * Force to show only unencrypted images for Clonezilla SE in
    dcs option.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 12 Jan 2015 23:09:08 +0800

drbl (2.12.8-drbl1) unstable; urgency=low

  * Language files were updated for p2v and the menus in ocs-sr.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 07 Jan 2015 12:32:20 +0800

drbl (2.12.7-drbl1) unstable; urgency=low

  * Variable "target_dir_enc_mntpnt" was changed to shorter one
    "ecrypt_mntpnt" in drbl-functions.
  * Avoid using "rm -r" if possible.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 06 Jan 2015 16:15:03 +0800

drbl (2.12.6-drbl1) unstable; urgency=low

  * Language files were updated for converting encrypted/decrypted
    images.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 05 Jan 2015 13:35:09 +0800

drbl (2.12.5-drbl1) unstable; urgency=low

  * Adding return code for function task_ecryptfs_mount_point.
  * Language files were updated for encrypting and decrypting
    existing images.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 03 Jan 2015 23:43:36 +0800

drbl (2.12.4-drbl1) unstable; urgency=low

  * Adding package ntpdate in the packages list of Clonezilla/DRBL
    live.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 29 Dec 2014 10:59:19 +0800

drbl (2.12.3-drbl1) unstable; urgency=low

  * Language file zh_TW.UTF-8 was updated.
  * Supporting netinstall of Fedora 21.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 27 Dec 2014 16:47:00 +0800

drbl (2.12.2-drbl1) unstable; urgency=low

  * Updating msg_encrypt_img_dir_is_now_as in all language files.
  * The target_dir_enc_mntpnt is just a mounting point. Therefore
    when program exists, just use rmdir not "rm -rf" to avoid
    accidentally removing wrong directory.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 26 Dec 2014 22:44:38 +0800

drbl (2.12.1-drbl1) unstable; urgency=low

  * Adding encryption function for Clonezilla image. Now it's OK for
    Clonezilla live, not yet for Clonezilla SE.
  * Remove zh_TW.BIG5 language option.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 25 Dec 2014 19:12:28 +0800

drbl (2.11.16-drbl1) unstable; urgency=low

  * File Known_issues_Big5.txt was removed.
  * Known_issues.txt and RELEASE-NOTES were updated.
  * Adding package ecryptfs-utils in the packages list
    of DRBL/Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 25 Dec 2014 10:05:04 +0800

drbl (2.11.15-drbl2) unstable; urgency=low

  * The language files about stable Clonezilla live was updated as i586
    instead of i486.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 10 Dec 2014 20:26:50 +0800

drbl (2.11.14-drbl1) unstable; urgency=low

  * Now i586 instead of i486 Clonezilla live is in the stable release,
    therefore the corresponding changes were done.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 10 Dec 2014 19:59:49 +0800

drbl (2.11.13-drbl1) unstable; urgency=low

  * Language file ja_JP.UTF-8 was updated. Thanks to Akira YOSHIYAMA.
  * Language file ca_ES was updated. Thanks to René Mérou.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 08 Dec 2014 08:58:30 +0800

drbl (2.11.12-drbl1) unstable; urgency=low

  * Language file it_IT was updated. Thanks to Gianfranco Gentili.
  * Language file de_DE was updated. Thanks to Michael Vinzenz.
  * Language file fr_FR was updated. Thanks to Jean-Francois Nifenecker.
  * Language files sk_SK was updated. Thanks to Ondrej Dzivy Balucha.
  * Adding support for Debian 7.7.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 05 Dec 2014 10:18:13 +0800

drbl (2.11.11-drbl1) unstable; urgency=low

  * Language files tr_TR for bash and perl were updated.
    Thanks to Volkan.



## drbl 2.13.6

=== debian/changelog ===
drbl (2.13.6-drbl1) unstable; urgency=low

  * Language file es_ES was updated. Thanks to Juan Ramón Martínez.
  * Language file it_IT was updated. Thanks to Gianfranco Gentili.
  * Language file de_DE was updated. Thanks to Michael Vinzenz.
  * Language file sk_SK was updated. Thanks to Ondrej Dzivy Balucha.
  * Language file ca_ES was updated. Thanks to René Mérou.
  * Language file ja_JP.UTF-8 was updated. Thanks to Akira YOSHIYAMA.
  * Language file en_US wad updated.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 16 Feb 2015 13:19:01 +0800

drbl (2.13.5-drbl1) unstable; urgency=low

  * Package gdisk-noicu is now replaced by gdisk in Debian
    respository.
  * File system ecryptfs is not always built-in, so trying to
    modprobe before checking it.
  * Bug fixed: grand_jobs_before_exit not grand_task_before_exit.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 30 Jan 2015 21:51:18 +0800

## drbl 2.13.8

=== debian/changelog ===
drbl (2.13.8-drbl1) unstable; urgency=low

  * Some ecryptfs-related options from drbl-ocs.conf were moved
    to drbl-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 05 Mar 2015 10:46:28 +0800

drbl (2.13.7-drbl1) unstable; urgency=low

  * Language file fr_FR was updated. Thanks to
    Jean-Francois Nifenecker.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 17 Feb 2015 09:07:49 +0800

## drbl 2.13.9

=== debian/changelog ===
drbl (2.13.9-drbl1) unstable; urgency=low

  * Option "-irvd" was added to Clonezilla menu.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 09 Mar 2015 19:52:41 +0800

## drbl 2.13.10

=== debian/changelog ===
drbl (2.13.10-drbl1) unstable; urgency=low

  * Function drbl_service_ctl was added in drbl-functions so that it
    can be used for start/stop/restart sysv/upstart/systemd service.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 12 Mar 2015 20:48:21 +0800

## drbl 2.13.12

=== debian/changelog ===
drbl (2.13.12-drbl1) unstable; urgency=low

  * Updating netinstall for opensuse as 13.2.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 25 Mar 2015 19:57:06 +0800

drbl (2.13.11-drbl1) unstable; urgency=low

  * Package zbackup was added in the packages list of Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 23 Mar 2015 19:29:03 +0800

## drbl 2.13.13

=== debian/changelog ===
drbl (2.13.13-drbl1) unstable; urgency=low

  * Package ifenslave was added in the packages list of Clonezilla
    live.
  * Language files were updated for checking if the image repository
    is writable or not.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 29 Mar 2015 22:12:15 +0800

## drbl 2.13.14

=== debian/changelog ===
drbl (2.13.14-drbl1) unstable; urgency=low

  * Package ca-certificates was added in the packages list of
    Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 02 Apr 2015 21:51:34 +0800

## drbl 2.13.17

=== debian/changelog ===
drbl (2.13.17-drbl1) unstable; urgency=low

  * Package cloudfuse was added in the packages list of Clonezilla
    live.
  * A mechanism to avoid AWS S3 with ecryptfs was added because there
    is an issue: https://github.com/s3fs-fuse/s3fs-fuse/issues/166

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 16 Apr 2015 13:20:42 +0800

drbl (2.13.16-drbl1) unstable; urgency=low

  * A mechanism to avoid AWS S3 with ecryptfs was added because there
    is an issue: https://github.com/s3fs-fuse/s3fs-fuse/issues/166

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 11 Apr 2015 19:51:14 +0800

drbl (2.13.15-drbl1) unstable; urgency=low

  * Package s3fs was added in the packages list of Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 03 Apr 2015 23:31:27 +0800

## drbl 2.14.1

=== debian/changelog ===
drbl (2.14.1-drbl1) unstable; urgency=low

  * Updating Debian netinstall as jessie in drbl.conf because
    it's in stable status now.
  * Adding support for Debian Jessie and Sid with systemd.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 03 May 2015 15:58:33 +0800

drbl (2.13.18-drbl1) unstable; urgency=low

  * Updating language files for S3 and Swift.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 19 Apr 2015 19:28:33 +0800

## drbl 2.14.2

=== debian/changelog ===
drbl (2.14.2-drbl1) unstable; urgency=low

  * Bug fixed: if block error in drblpush.
  * Service drbl-clients-nat.service for systemd should be removed
    when uninstalling.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 03 May 2015 16:40:21 +0800

## drbl 2.14.3

=== debian/changelog ===
drbl (2.14.3-drbl1) unstable; urgency=low

  * Bug fixed: wrong including path in ocsd-rescue.service for
    Debian machine.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 03 May 2015 17:05:44 +0800

## drbl 2.14.5

=== debian/changelog ===
drbl (2.14.5-drbl1) unstable; urgency=low

  * Network installation for Ubuntu has been updated to trusty
    and vivid in drbl.conf.
  * Initial support for Ubuntu 15.04.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 05 May 2015 17:58:40 +0800

drbl (2.14.4-drbl1) unstable; urgency=low

  * Bug fixed: the original /sbin/init was overwritten in DRBL live
    when running drblpush.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 04 May 2015 08:40:12 +0800

## drbl 2.14.6

=== debian/changelog ===
drbl (2.14.6-drbl1) unstable; urgency=low

  * Suppress the messages about client's upstart files not found.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 06 May 2015 14:51:26 +0800

## drbl 2.14.7

=== debian/changelog ===
drbl (2.14.7-drbl1) unstable; urgency=low

  * Language files for Hungarian were added. Thanks to Greg Marki
    (info.mlc _at_ freemail hu) for providing the files.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 06 May 2015 22:38:15 +0800

## drbl 2.14.8

=== debian/changelog ===
drbl (2.14.8-drbl1) unstable; urgency=low

  * Adding package tinc in Clonezilla/DRBL live. Thanks to Michael
    Munger (michael _at_ highpoweredhelp com) for suggesting this.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 09 May 2015 12:47:53 +0800

## drbl 2.14.9

=== debian/changelog ===
drbl (2.14.9-drbl10) unstable; urgency=low

  * Language file hu_HU was updated. Thanks to Michael Munger.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 10 May 2015 20:30:59 +0800

## drbl 2.14.10

=== debian/changelog ===
drbl (2.14.10-drbl1) unstable; urgency=low

  * Bug fixed: failed to identify the iso file in drbl-sl on Ubuntu
    15.04. Thanks to Jasper Aorangi for reporting this
    (https://sourceforge.net/p/clonezilla/bugs/225/).

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 12 May 2015 21:20:09 +0800

## drbl 2.14.11

=== debian/changelog ===
drbl (2.14.11-drbl1) unstable; urgency=low

  * Bug fixed: some more files (drblsrv-offline and mknic-nbi) need
    to be fixed so that it can be used for Linux kernel version 4.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 14 May 2015 22:28:56 +0800

## drbl 2.14.12

=== debian/changelog ===
drbl (2.14.12-drbl1) unstable; urgency=low

  * Adding drbl-efi-pxe-sw so it's easier to switch that on CentOS.
  * Adding the ocs service for CentOS 7.1.1503.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 15 May 2015 09:47:50 +0800

## drbl 2.15.1

=== debian/changelog ===
drbl (2.15.1-drbl1) unstable; urgency=low

  * New file set-default-grub-efi-img was added. It will be
    used to set the menuentry for GRUB EFI NB was added.
  * New file drbl-gen-grub-efi-nb was added so that it can prepare
    GRUB EFI network boot files (/tftpboot/nbi_img/bootx64.efi).
  * New file gen-grub-efi-nb-menu was added so that it can be used
    to create the GRUB EFI NB config files in 
    /tftpboot/nbi_img/grub-efi.cfg/.
  * This is the initial version for using GRUB EFI NB as the uEFI
    network boot clients due to the syslinux.efi is not working
    with iPXE clients.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 18 May 2015 14:30:11 +0800

## drbl 2.15.2

=== debian/changelog ===
drbl (2.15.2-drbl1) unstable; urgency=low

  * drbl.conf: grub-efi-amd64-bin grub2-efi added in PKG_TO_QUERY.
  * Suppress the findind error message in drbl-gen-grub-efi-nb.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 18 May 2015 15:41:34 +0800

## drbl 2.15.3

=== debian/changelog ===
drbl (2.15.3-drbl1) unstable; urgency=low

  * The package name for grub2-efi modules is grub2-efi-modules,
    not grub2-efi on CentOS.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 18 May 2015 16:48:37 +0800

## drbl 2.15.4

=== debian/changelog ===
drbl (2.15.4-drbl1) unstable; urgency=low

  * Due to a bug "error: timeout: could not resolve hardware address"
    (http://sourceforge.net/p/xcat/bugs/4658/) in grub2-efi modules,
    the grub2-efi-modules or grub2-efi can not be listed in
    PKG_TO_QUERY of drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 18 May 2015 17:03:42 +0800

## drbl 2.15.6

=== debian/changelog ===
drbl (2.15.6-drbl1) unstable; urgency=low

  * Bug fixed: wrong if block for local-disk in
    hide_reveal_grub_efi_ent.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 21 May 2015 23:13:12 +0800

drbl (2.15.5-drbl1) unstable; urgency=low

  * Minor improvement for generate-pxe-menu in the parameters
    while loop.
  * An option was added to set the menu background mode in
    gen-grub-efi-nb-menu.
  * GRUB efi modules part_gpt part_msdos boot multiboot were
    added in the bootx64.efi in gen-grub-efi-nb-menu so that
    we can chainloader to EFI on the local disk,
    like "chainloader /EFI/redhat/grub.efi +1".
  * File drbl-efi-pxe-sw was renamed as drbl-syslinux-efi-pxe-sw.
  * Thanks to Danny Russ | KSC for helping this GRUB EFI
    network boot solution.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 21 May 2015 22:23:26 +0800

## drbl 2.15.7

=== debian/changelog ===
drbl (2.15.7-drbl1) unstable; urgency=low

  * If the latest version of fine tune ocs systemd files for
    DRBL clients are not found, the most related one will
    be use. E.g. CO7.1.1503 not found, the existing one
    CO7.0.1406 will be used.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 22 May 2015 09:56:09 +0800

## drbl 2.15.8

=== debian/changelog ===
drbl (2.15.8-drbl1) unstable; urgency=low

  * Only for those non-stop cases we will clean the GRUB UEFI NB
    config files in dcs. Otherwise the local-disk boot normally
    won't work.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 22 May 2015 22:40:58 +0800

## drbl 2.15.9

=== debian/changelog ===
drbl (2.15.9-drbl1) unstable; urgency=low

  * The corresponding tag files bootx64.efi.info/bootia32.efi.info
    will be created if the creating command runs successfully.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 24 May 2015 21:29:27 +0800

## drbl 2.15.10

=== debian/changelog ===
drbl (2.15.10-drbl1) unstable; urgency=low

  * Package udisks was replaced by udisks2 in
    PKG_FROM_DBN_WHICH_OCS_LIVE_NEED of drbl.conf.
  * Program tune-clientdir-opt now supports GRUB EFI NB.
  * Program drbl-gen-grub-efi-nb put more info in the
    uEFI NB bootlader file info.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 27 May 2015 22:30:20 +0800

## drbl 2.15.11

=== debian/changelog ===
drbl (2.15.11-drbl1) unstable; urgency=low

  * Functions add_opt_in_pxelinux_cfg_block, 
    remove_opt_in_pxelinux_cfg_block, add_opt_in_grub_efi_cfg_block
    and remove_opt_in_grub_efi_cfg_block were moved from
    ocs-functions to drbl-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 27 May 2015 23:06:15 +0800

## drbl 2.15.12

=== debian/changelog ===
drbl (2.15.12-drbl1) unstable; urgency=low

  * Improvement: better way to get clientdir for GRUB uEFI NB boot
    parameters in udhcpc-post.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 28 May 2015 06:14:29 +0800

## drbl 2.15.13

=== debian/changelog ===
drbl (2.15.13-drbl1) unstable; urgency=low

  * Functions confirm_continue_or_not_default_quit,
    confirm_continue_or_not_default_continue, and 
    confirm_continue_no_default_answer were moved from ocs-functions
    to drbl-functions.
  * Checking the grub2 version in blacklist for CentOS/RHEL when
    running drblsrv.
  * Language file es_ES was updated. Thanks to Juan Ramón Martínez.
  * Language file it_IT was updated. Thanks to Gianfranco Gentili.
  * Language file sk_SK was updated. Thanks to Ondrej Dzivy Balucha.
  * Language file ca_ES was updated. Thanks to René Mérou.
  * Language file fr_FR was updated. Thanks to Jean-Francois
    Nifenecker.
  * Language file de_DE was updated. Thanks to Michael Vinzenz.
  * drbl-sl should skip ipxe.efi when searching kernel.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 31 May 2015 21:23:00 +0800

## drbl 2.15.16

=== debian/changelog ===
drbl (2.15.16-drbl1) unstable; urgency=low

  * Disabled efi_netboot_1st_in_nvram when server is Debian or
    Ubuntu due to grub does not have the patch
   (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=793760).
  * Package grub2-efi-modules added in the packages list
    "PKG_TO_QUERY" in drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 30 Jul 2015 18:19:57 +0800

drbl (2.15.15-drbl1) unstable; urgency=low

  * The useless note about option "-z3" was removed. Thanks to
    Marc Grondin (marcfgrondin _at_ gmail com) for reporting this.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 18 Jun 2015 22:40:26 +0800

drbl (2.15.14-drbl1) unstable; urgency=low

  * Language file es_ES was updated. Thanks to Juan Ramón Martínez.
  * Language file ja_JP.UTF-8 was updated. Thanks to Akira YOSHIYAMA.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 06 Jun 2015 10:06:14 +0800

## drbl 2.15.17

=== debian/changelog ===
drbl (2.15.17-drbl1) unstable; urgency=low

  * Language files were updated for the option "-k1", both GPT and
    MBR format are supported.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 11 Aug 2015 10:51:03 +0800

## drbl 2.15.18

=== debian/changelog ===
drbl (2.15.18-drbl1) unstable; urgency=low

  * Package zerofree was added in the packages list for
    DRBL/Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 11 Aug 2015 13:31:33 +0800

## drbl 2.15.19

=== debian/changelog ===
drbl (2.15.19-drbl1) unstable; urgency=low

  * Files isolinux.bin and memdisk should be extracted and put to
    syslinux in get_syslinux_binary_for_dos_linux of drbl-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 16 Aug 2015 22:54:09 +0800

## drbl 2.15.21

=== debian/changelog ===
drbl (2.15.21-drbl1) unstable; urgency=low

  * Adding support for Debian 8.1.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 20 Aug 2015 11:26:59 +0800

drbl (2.15.20-drbl1) unstable; urgency=low

  * Make sure there is no white space in the end of opt_content in
    function add_opt_in_pxelinux_cfg_block in drbl-functions.
    This could reduce the chance that boot parameters are wrongly
    parsed by Linux kernel.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 17 Aug 2015 21:48:39 +0800

## drbl 2.15.22

=== debian/changelog ===
drbl (2.15.22-drbl1) unstable; urgency=low

  * Bug fixed: For Debian >=8 the file /var/lib/nfs/state was missing
    which caused rpc.statd failing to start in DRBL client.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 24 Aug 2015 09:10:44 +0800

## drbl 2.15.23

=== debian/changelog ===
drbl (2.15.23-drbl1) unstable; urgency=low

  * Functions add_opt_in_pxelinux_cfg_block and
    add_opt_in_grub_efi_cfg_block were improved to have an
    option "-n".
  * Using boot parameters for switching clients' mode
    (text or graphical) in systemd.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 27 Aug 2015 11:53:09 +0800

## drbl 2.15.24

=== debian/changelog ===
drbl (2.15.24-drbl1) unstable; urgency=low

  * An insurance to make sure that all mounting in /etc/fstab
    are done.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 28 Aug 2015 17:40:03 +0800

## drbl 2.15.25

=== debian/changelog ===
drbl (2.15.25-drbl1) unstable; urgency=low

  * Bug fixed: DRBL client sometimes failed to mount nfs due to remote-fs
    service starts first. A workaround was added.
    (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=768006)

  * Reverted the previous implementation for /etc/fstab.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 01 Sep 2015 10:05:15 +0800

## drbl 2.15.26

=== debian/changelog ===
drbl (2.15.26-drbl1) unstable; urgency=low

  * Put tmp.mount back for DRBL client. It was disabled in Debian
    patched systemd.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 01 Sep 2015 16:49:11 +0800

## drbl 2.15.27

=== debian/changelog ===
drbl (2.15.27-drbl1) unstable; urgency=low

  * Package strace was added in clonezilla/drbl live system.
  * Set nosuid,nodev in /etc/fstab for client's /tmp dir.
  * Disabled workaround for dm after nis in drbl-live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 03 Sep 2015 17:59:33 +0800

## drbl 2.15.28

=== debian/changelog ===
drbl (2.15.28-drbl1) unstable; urgency=medium

  * Client's /etc/fstab was changed. For nfs root, we set
    the option as "rw" so that checkroot.sh in Debian sysvinit
    could update the /etc/mtab.
  * The /proc in drbl client's /etc/fstab is commented. It's done
    by udevd automatically.
  * No more creating /dev/{console,null} in $drbl_common_root/. It's
    done by udevd automatically.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 06 Sep 2015 12:17:07 +0800

## drbl 2.15.29

=== debian/changelog ===
drbl (2.15.29-drbl1) unstable; urgency=low

  * Adding support files for Debian 7.9 and 8.2 in
    /usr/share/drbl/setup/files/DBN/

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 06 Sep 2015 12:29:00 +0800

## drbl 2.15.30

=== debian/changelog ===
drbl (2.15.30-drbl1) unstable; urgency=low

  * Option "-b" was added was added to drbl-live.
  * A tag file will be added in /tfptboot/node_root/drbl_ssi/ when
    drbl-live is run.
  * Default to use "-t devtmpfs" instead of "-t udev" for mount command
    in init.drbl.
  * The flag TMPFS_RUN was changed to "true" by default in init.drbl
  * Reverted to create /dev/{console,null} in $drbl_common_root/. 
    It's required in some cases.
  * Corresponding change was done in drblpush with TMPFS_RUN in
    init.drbl.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 07 Sep 2015 10:09:34 +0800

## drbl 2.16.1

=== debian/changelog ===
drbl (2.16.1-drbl1) unstable; urgency=low

  * Due to the issue /tmp or /dev missing issue:
    http://lists.freedesktop.org/archives/systemd-devel/
    2015-September/034175.html
    DRBL live now switch to use drbl-live-ocs-prep for
    Clonezilla SE client, i.e. less use NFS root.
  * Adding file type "tar" in function gen_CDG_checksums of
    drbl-functions.
  * Option "-p" was added so that drbl-sl supports the mounted or
    unzipped live dir.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 10 Sep 2015 14:08:53 +0800

drbl (2.15.31-drbl1) unstable; urgency=low

  * Option "-n" should be added for mount command when mounting /dev in
    read-only / (hence read-only /etc).

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 07 Sep 2015 11:25:27 +0800

## drbl 2.16.3

=== debian/changelog ===
drbl (2.16.3-drbl1) unstable; urgency=low

  * Switched to use live system for DRBL client due to the missing /tmp
    or /dev/ issue.
  * Disabled updating initramfs when starting, because
    use_run_in_initrd and use_dev_pts_in_initrd in linuxrc.conf have fit
    the status in Sid.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 15 Sep 2015 09:31:23 +0800

drbl (2.16.2-drbl1) unstable; urgency=low

  * Bug fixed: Live system for Clonezilla jobs in Clonezilla SE was
    not working for the uEFI network booting environment. 
  * Bug fixed: Program tune-clientdir-opt should not reveal the
    Clonezilla menu. Let dcs to reveal or hide that.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 12 Sep 2015 21:28:33 +0800

## drbl 2.16.4

=== debian/changelog ===
drbl (2.16.4-drbl1) unstable; urgency=low

  * Link the kernel and initrd of clonezilla live in /tftpboot/nbi_img/ to
    that of drbl live for DRBL live system.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 15 Sep 2015 20:35:01 +0800

## drbl 2.16.5

=== debian/changelog ===
drbl (2.16.5-drbl1) unstable; urgency=low

  * Change ocs_client_trig_type=proc-cmdline in drbl-ocs.conf when
    running drbl-live start.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 17 Sep 2015 09:58:51 +0800

## drbl 2.16.6

=== debian/changelog ===
drbl (2.16.6-drbl1) unstable; urgency=low

  * The /tftpboot/nbi_img/grub.cfg/grub.cfg-01:$net_default_mac has higher
    priority than /tftpboot/nbi_img/grub.cfg/grub.cfg. By doing this, we do
    not have to patch the grub2 as described here:
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=793760

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 18 Sep 2015 14:34:00 +0800

## drbl 2.16.7

=== debian/changelog ===
drbl (2.16.7-drbl1) unstable; urgency=low

  * Forget about condition test for the existing of config file in grub
    embedded preconfig file. Just use configfile module to make that in 
    drbl-gen-grub-efi-nb.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 19 Sep 2015 00:03:33 +0800

## drbl 2.16.8

=== debian/changelog ===
drbl (2.16.8-drbl1) unstable; urgency=low

  * Bug fixed: the variable was not protected when writing the preconfig
    file with cat command in drbl-gen-grub-efi-nb.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 19 Sep 2015 07:12:54 +0800

## drbl 2.16.9

=== debian/changelog ===
drbl (2.16.9-drbl1) unstable; urgency=low

  * Since we have used grub embedded preconfig way in drbl-gen-grub-efi-nb 
    to solve this grub uEFI network booting restoring issue in Debian:
    http://lists.gnu.org/archive/html/help-grub/2015-09/msg00035.html
    Therefore no more disabling efi_netboot_1st_in_nvram in drbl-ocs.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 19 Sep 2015 08:24:16 +0800

## drbl 2.16.10

=== debian/changelog ===
drbl (2.16.10-drbl1) unstable; urgency=low

  * More grub2 file system modules were added in drbl-gen-grub-efi-nb so
    that local disk boot is supported for uEFI network boot menu.
  * Live system hostname is assigned as ocs-client in Clonezilla SE of DRBL
    live, while drbl client is assigned as drbl-client. This is to avoid
    confusion.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 20 Sep 2015 13:27:03 +0800

## drbl 2.16.11

=== debian/changelog ===
drbl (2.16.11-drbl1) unstable; urgency=low

  * Bug fixed: wrong info about prompt for grub uEFI netboot.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 21 Sep 2015 14:49:06 +0800

## drbl 2.17.1

=== debian/changelog ===
drbl (2.17.1-drbl1) unstable; urgency=low

  * For all cases, dcs clean the UEFI NB config files because now
    local-disk is always revealed.
  * Bug fixed: dcs -> local did not switch that for local-disk in grub uEFI
    netboot mode.
  * Reveal local-disk in the uEFI netboot menu by default. We have listed
    most of the OSes.
  * Convert the ":" in the MAC address based file name to "-" for grub uEFI
    netboot mode, i.e. something like: grub.cfg-01-00-0c-29-1d-9a-d1, not
    grub.cfg:01:00:0c:29:1d:9a:d1

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 22 Sep 2015 21:50:37 +0800

drbl (2.16.12-drbl1) unstable; urgency=low

  * Update Forcevideo-drbl-live to work with the latest Sid. Thanks
    to Eric Reischer (emr _at_ hev psu edu) for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 21 Sep 2015 22:35:54 +0800

## drbl 2.17.2

=== debian/changelog ===
drbl (2.17.2-drbl1) unstable; urgency=low

  * Use the same prompt "Local operating system (if available)" for uEFI
    netboot, as that of PXE.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 23 Sep 2015 10:00:48 +0800

## drbl 2.17.4

=== debian/changelog ===
drbl (2.17.4-drbl1) unstable; urgency=low

  * Update the help message of drbl-live.
  * Bug fixed: read the ocs_client_no_per_NIC from /etc/ocs/ocs-live.conf in
    higer priority than that of 
    $drbl_setup_path/files/ocs/live-hook/ocs-live-hook.conf in drbl-live.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 05 Oct 2015 23:00:40 +0800

drbl (2.17.3-drbl1) unstable; urgency=low

  * Show Grub CPU and platform in the preconfig of grub uEFI netboot.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 29 Sep 2015 20:27:34 +0800

## drbl 2.17.6

=== debian/changelog ===
drbl (2.17.6-drbl1) unstable; urgency=low

  * Suppress the error message in hide_reveal_pxe_img,
    use warning only.
  * Polish the output messages in hide_reveal_grub_efi_ent.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 20 Oct 2015 11:27:54 +0800

drbl (2.17.5-drbl1) unstable; urgency=low

  * Language file zh_CN was updated. Thanks to Zhiqiang Zhang.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 12 Oct 2015 19:51:10 +0800

## drbl 2.17.7

=== debian/changelog ===
drbl (2.17.7-drbl1) unstable; urgency=low

  * Adding boot parameter "stick-to-pxe-srv" for DRBL live clients.
    This mechanism is used to stick to the PXE server when live-boot
    trying to lease IP address by using the boot parameter
    "stick-to-pxe-srv". It will drop the DHCP server without providing
    filename, so it can partially solve the issue that 2 DHCP servers
    co-exist on the same LAN. By default the max lease loop number is
    10 times. The boot parameter "ethdev-dhcp-max-loop" can be used
    to assign the max number. 
    //NOTE// This mechanism is only for DRBL/Clonezilla SE live.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 30 Oct 2015 09:22:58 +0800

## drbl 2.17.8

=== debian/changelog ===
drbl (2.17.8-drbl1) unstable; urgency=low

  * Test if GRUB_CONF exists before modifying it in tune-clientdir-opt.
  * Adding support for CentOS 6.7.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 31 Oct 2015 17:04:58 +0800

## drbl 2.17.9

=== debian/changelog ===
drbl (2.17.9-drbl1) unstable; urgency=low

  * When grub-mkimage or grub-mknetdir not found, drbl-gen-grub-efi-nb 
    shows warning messages only instead of error message because older
    version of GNU/Linux (e.g. CentOS 6) does not support creating
    grub uEFI network boot image.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 31 Oct 2015 21:09:08 +0800

## drbl 2.17.10

=== debian/changelog ===
drbl (2.17.10-drbl1) unstable; urgency=low

  * Check if file $GRUB_CONF exists first in 
    hide_reveal_grub_efi_ent and some functions in drbl-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 31 Oct 2015 23:24:21 +0800

## drbl 2.17.11

=== debian/changelog ===
drbl (2.17.11-drbl1) unstable; urgency=low

  * More tests about if $GRUB_CONF exists before going on in some
    functions of drbl-functions about grub2 uEFI network boot.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 02 Nov 2015 11:12:09 +0800

## drbl 2.18.2

=== debian/changelog ===
drbl (2.18.2-drbl1) unstable; urgency=low

  * Adding fatresize in the packages list for clonezilla/drbl live.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 16 Nov 2015 09:56:40 +0800

drbl (2.18.1-drbl1) unstable; urgency=low

  [ Ceasar Sun ]
  * Adding syslinux-common as required pkg in drbl.conf for Debian-like
    Linux. This is used to support Linux Mint.
  * Adding mdm support for drbl-login-switch.
  * Adding breakpoints in init.drbl.
  * Adding support for Linux Mint.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 10 Nov 2015 10:15:05 +0800

drbl (2.17.12-drbl1) unstable; urgency=low

  * Adding package fatresize in the DRBL/Clonezilla live packages
    list.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 03 Nov 2015 17:19:00 +0800

## drbl 2.18.3

=== debian/changelog ===
drbl (2.18.3-drbl1) unstable; urgency=low

  * Add options -sc0 and -scr for checking image integrity before
    restoring an image. The former is to check on Clonezilla server,
    and the latter is to check on Clonezilla client.
  * Language files were updated for options -sc0 and -scr.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 21 Nov 2015 22:42:17 +0800

## drbl 2.18.4

=== debian/changelog ===
drbl (2.18.4-drbl1) unstable; urgency=low

  * Switch to use "-scs" instead of "-sc" although "-sc" is still
    working. This will be easier to tell the differences between
    saving and restoring image. 

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 23 Nov 2015 17:20:27 +0800

## drbl 2.18.5

=== debian/changelog ===
drbl (2.18.5-drbl1) unstable; urgency=low

  * "Shoutdown" should be "Desligar" in luanguage file pt_BR.
    Thanks to Luciano (lboni2 _at_ yahoo com br) for correcting this.
  * Give warning about grub2 uEFI NB on CentOS 7 for grub2 versions
    2.02-0.17 and 2.02-0.23 in drblsrv.
  * Add OCS files (ocsd-*.service) for Clonezilla SE clients.
  * Apply the patches from Ceasar Sun to initial support Fedora >=21.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 12 Dec 2015 08:27:51 +0800

## drbl 2.18.7

=== debian/changelog ===
drbl (2.18.7-drbl1) unstable; urgency=low

  * [Ceasar Sun]
    Add Conflicts=mkswapfile.service to avoid DRBL service mkswapfile to be
    started in ocsd-run.service.
    Add support for Fedora 22 and 23.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 21 Dec 2015 20:08:04 +0800

drbl (2.18.6-drbl1) unstable; urgency=low

  * Adding ocsd files for CentOS 7.2.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 14 Dec 2015 22:22:42 +0800

## drbl 2.18.8

=== debian/changelog ===
drbl (2.18.8-drbl1) unstable; urgency=low

  * Package perl-modules was replaced by perl in
    PKG_FROM_DBN_WHICH_OCS_LIVE_NEED of drbl.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 22 Dec 2015 20:54:18 +0800

## drbl 2.18.9

=== debian/changelog ===
drbl (2.18.9-drbl1) unstable; urgency=low

  * Package console-common is not included in Clonezila/DRBL/GParted
    live because it's deprecated:
    https://bugs.launchpad.net/bugs/1528861

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 24 Dec 2015 21:35:58 +0800

## drbl 2.18.10

=== debian/changelog ===
drbl (2.18.10-drbl1) unstable; urgency=low

  * List kmod or module-init-tools in the package for suggestions in
    drbl.conf. This chnage was due to the change in mkpxeinitrd-net.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 04 Jan 2016 21:00:10 +0800

## drbl 2.18.11

=== debian/changelog ===
drbl (2.18.11-drbl1) unstable; urgency=low

  * Functions add_opt_in_pxelinux_cfg_block, 
    remove_opt_in_pxelinux_cfg_block, add_opt_in_grub_efi_cfg_block,
    and remove_opt_in_grub_efi_cfg_block of drbl-functions failed to
    deal with 'locales=' and 'keyboard-layouts='. This makes
    drbl-ocs-live-prep can not preset locales and keyboard-layouts.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 16 Jan 2016 16:01:22 +0800

## drbl 2.19.1

=== debian/changelog ===
drbl (2.19.1-drbl1) unstable; urgency=low

  * Add "-cmf" & "-gmf" in dialog menu.
  * Add sha512sum and refine the function gen_CDG_checksums of
    drbl-functions.
  * Language files were updated for options -gmf and -cmf, etc.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 15 Feb 2016 23:05:28 +0800

drbl (2.18.12-drbl1) unstable; urgency=low

  * Remove console-common for pkgs list:
    https://bugs.launchpad.net/ubuntu/+source/cryptsetup/+bug/1528861

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 20 Jan 2016 13:05:51 +0800

## drbl 2.19.3

=== debian/changelog ===
drbl (2.19.3-drbl1) unstable; urgency=low

  * Update language files for better description about checksum.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 16 Feb 2016 14:35:32 +0800

drbl (2.19.2-drbl1) unstable; urgency=low

  * Update language files for better description about checksum.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 16 Feb 2016 09:10:46 +0800

## drbl 2.19.4

=== debian/changelog ===
drbl (2.19.4-drbl1) unstable; urgency=low

  * Bug fixed: gen_CDG_checksums failed to list all files for checksum
    files.
  * Update language files for better description about checksum.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 17 Feb 2016 10:55:53 +0800

## drbl 2.19.5

=== debian/changelog ===
drbl (2.19.5-drbl1) unstable; urgency=low

  * Update language files for the checksum results log file prompt.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 18 Feb 2016 21:39:17 +0800

## drbl 2.19.6

=== debian/changelog ===
drbl (2.19.6-drbl1) unstable; urgency=low

  * Use "sort -V" instead of awk in pkg-ver-latest.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 02 Mar 2016 12:35:31 +0800

## drbl 2.19.8

=== debian/changelog ===
drbl (2.19.8-drbl1) unstable; urgency=low

  * Apply the patch for ru_RU.UTF-8 from
    https://github.com/stevenshiau/drbl/pull/6. Thanks to don Rumata.
  * Update language files for ocs-match-checksums.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 05 Mar 2016 21:24:16 +0800

drbl (2.19.7-drbl1) unstable; urgency=low

  * Bug fixed: do not strip the word about kernel or linux-image in 
    pkg-ver-latest

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 02 Mar 2016 13:00:58 +0800
